{% extends "base.html" %}
{% block pagetitle %} OEM {% endblock %}
{% block content_head %}
<h3>OEM定制</h3>
{% endblock %}
{% block content %}

<table class="table">
  <thead>
    <tr>
      <th>文件名</th>
      <th>创建时间</th>
      <th>大小</th></tr>
  </thead>
  <tbody>
    {% if idx_file_list %}
    {% for item in idx_file_list %}
    <tr class="active">
      <td><a href="/newtask/{{ item[0] }}">{{ item[0] }}</a></td>
      <td>{{ item[1] }}</td>
      <td>{{ item[2] }} MB</td></tr>
    {% endfor %}
    {% endif %}
    
  </tbody>
</table>
<div class="form-group">
<button id="start_oem" type="button" class="btn btn-primary" click="submit_start_oem">开始定制 </button> 
<button type="button" class="btn btn-default"> 刷新 </button>
</div>
<br/>
<div>
<form action="/upload/{{taskname}}" method="POST" enctype="multipart/form-data">
    <input type="file" id="media" name="media">
    <input type="submit">
</form>
<div class="progress" style="display: none;">
    <div class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
        0%
    </div>
</div>
<script>
function submit_start_oem() {
      alert("buttion click");
 }); 
}
</script>
<script type="text/javascript">
    $('form').on('submit', function (event) {
        // 显示进度条
        $('.progress').css('display', 'block');
        // 阻止元素发生默认的行为，此处用来阻止对表单的提交
        event.preventDefault();
        var formData = new FormData(this);
        // jQuery Ajax 上传文件，关键在于设置：processData 和 contentType
        $.ajax({
            xhr: function () {
                var xhr = new XMLHttpRequest();
                xhr.upload.addEventListener('progress', function (e) {
                    if (e.lengthComputable) {
                        var percent = Math.round(e.loaded * 100 / e.total);
                        $('.progress-bar').attr('aria-valuenow', percent).css('width', percent + '%').text(percent + '%');
                    }
                });
                return xhr;
            },
            type: 'POST',
            url: '/upload/{{taskname}}',
            cache: false,
            data: formData,
            // 告诉 jQuery 不要去处理发送的数据
            processData: false,
            // 告诉 jQuery 不要去设置 Content-Type 请求头
            // 因为这里是由 <form> 表单构造的 FormData 对象，且已经声明了属性 enctype="multipart/form-data"，所以设置为 false
            contentType: false
        }).done(function (res) {
            console.log($("#media").name);
            console.log("abc");
            alert('上传成功!');
        }).fail(function (res) {
            alert('上传失败!');
        });
    });

    $(document).on('click','#start_oem',function(){
    alert("开始进行定制");
    $.post('/submit/{{taskname}}', {"taskname":"{{taskname}}"} , function(response){
       console.log(response);
       window.location.href = '/submit/{{taskname}}'
    });

    });
</script>
</div>
{% endblock %}
